Skip to main content
GET
List Checkout Sessions

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Return only records matching organization ID. Identifier of the organization.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

product_id

Return only records matching product ID. Identifier of the product.

customer_id

Return only records matching customer ID. Identifier of the customer.

external_customer_id

Return only records matching customer external ID. Identifier of the customer external.

status

Return only records matching checkout session status.

Available options:
open,
expired,
confirmed,
succeeded,
failed
query
string | null

Return only records matching customer email.

page
integer
default:1

Results page to return. The first page is used by default.

limit
integer
default:10

Records returned per page. Defaults to 10 and accepts up to 100.

sorting
enum<string>[] | null

Sort rules applied from left to right. Prefix any rule with - to reverse it into descending order.

Available options:
created_at,
-created_at,
expires_at,
-expires_at,
status,
-status

Response

Request completed successfully

items
Checkout · object[]
required
pagination
Pagination · object
required